Skip to main content
`Ctrl`+`K`

# DMSwarmGetMigrateType

Get the style of point migration

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetMigrateType(DM dm, DMSwarmMigrateType *mtype)

Logically Collective

## Input Parameter

- dm - the `DMSWARM`

## Output Parameter

- mtype - The migration type, see `DMSwarmMigrateType`

## See Also

`DM`, `DMSWARM`, `DMSwarmMigrateType`, `DMSwarmMigrate()`

## Level

intermediate

## Location

src/dm/impls/swarm/swarm_migrate.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages